# $Progeny: Makefile.in 4087 2004-02-13 01:36:47Z imurdock $

all:

###############################################################################
# Build

libdiscover_HEADERS=							\
	${srcdir}/discover.h 						\
	${srcdir}/discover-conf.h 					\
	${srcdir}/discover-xml.h					\
	${srcdir}/curl.h						\
	${srcdir}/load-url.h						\
	${srcdir}/device.h						\
	${srcdir}/url-xml.h						\
	${srcdir}/utils.h						\
	${srcdir}/stack.h						\
	${srcdir}/sysdep.h

###############################################################################
# Clean

distclean_FILES=	Makefile

clean:
distclean:
	${LTCLEAN} ${distclean_FILES}

maintainer-clean:
	${LTCLEAN} ${distclean_FILES}

###############################################################################
# Installation

install:
	${INSTALL_DIR} ${DESTDIR}${includedir}/discover
	${INSTALL_DATA} ${libdiscover_HEADERS} ${DESTDIR}${includedir}/discover

###############################################################################
# Distribution

DISTFILES=		Makefile.in ${libdiscover_HEADERS}

distdir: ${DISTFILES}
	${top_srcdir}/buildtools/distdir ${distdir}/${_THISDIR_} ${DISTFILES}
